
/* Main */
.main {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    padding: 16px;
}

.main-content{
    margin-top: 3rem;
}

.main-button-add {
    background-color: black;
    color: white;
    border-color: black;
    border-width: 1px;
    border-radius: 4px;
    width: 40px;
    height: 40px;
}

.main-button-add:hover {
    background-color: white;
    color: black;
}

.edit-button,
.remove-button {
    background-color: black;
    color: white;
    padding: 3px 10px;
    border-radius: 10%;
    border-width: 1px;
    margin: 3px;
}

.remove-button:hover,
.edit-button:hover {
    background-color: white;
    color: black;
}

/* Table */
.main-table {
    width: 100%;
    margin-bottom: 10px;
    border-collapse: collapse;
}

.main-table th,
.main-table td {
    border-bottom: 1px solid black;
    padding: 8px;
    text-align: center;
}

#checkbox-thead {
    pointer-events: none;
}

.table-status {
    color: #aaa;
}
.table-buttons{
    display: flex;
    justify-content: center;
}

/* Navigation within Main */
.main-navigation {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
}

.main-navigation-button {
    margin: 0 5px;
    padding: 5px 10px;
    border-radius: 10%;
    border-width: 1px;
    background-color: black;
    color: white;
}

.main-navigation-button:hover {
    background: none;
    color: black;
}

/* Modal container */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

/* Modal content */
.modal-content {
    background-color: #fefefe;
    margin: 10% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 60%;
    max-width: 400px;
}

/* Close button */
.close {
    color: #aaa;
    top: 10px;
    right: 10px;
    font-size: 24px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


.addStudentForm-elements {
    display: flex;
    flex-direction: column;
}

.addStudentForm-elements select,
.addStudentForm-elements input {
    padding: 8px;
    border-radius: 4px;
    border: 1px solid #ccc;
}

.addStudentForm-elements button,
#confirmRemove,
#cancelRemove {
    padding: 10px 20px;
    background-color: black;
    color: white;
    border-color: black;
    border-width: 1px;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    margin-top: 15px;
}

.addStudentForm-elements button:hover,
#confirmRemove:hover,
#cancelRemove:hover {
    background-color: white;
    color: black;
}
@media only screen and (max-width: 650px) {
    
    .container {
        flex-direction: column;
    }

    
    .header-title {
        font-size: 24px;
    }

    
    .dropdown-content {
        min-width: 120px;
    }

    
    .navigation-item a {
        padding: 8px 12px;
    }

    /* Main adjustments */
    .main-title {
        font-size: 20px;
    }

    .main-button-add {
        width: 30px;
        height: 30px;
        font-size: 14px;
    }

    .edit-button,
    .remove-button {
        padding: 2px 8px;
        font-size: 12px;
    }

    /* Table adjustments */
    .main-table th,
    .main-table td {
        padding: 6px;
    }

   
    .main-navigation-button {
        padding: 4px 8px;
        font-size: 12px;
    }

   
    .modal-content {
        width: 80%;
        max-width: 300px;
    }

    .close {
        font-size: 20px;
    }

    .addStudentForm-elements select,
    .addStudentForm-elements input {
        padding: 6px;
    }

    .addStudentForm-elements button,
    #confirmRemove,
    #cancelRemove {
        padding: 8px 16px;
        font-size: 14px;
    }
    
    .main-table th,
    .main-table td {
        font-size: 12px;
    }
}


.invalid-input{
    border-color: red;
}
.valid-input{
    border-color: #ccc;
}

.invalid-feedback{
    border-color: red;
    border-width: 1px;
    border-radius: 4px;
}
.valid-feedback{
    border-color: #ccc;
    border-width: 1px;
    border-radius: 4px;
}
